Config::Model::Lister(3pm)

NAME
Config::Model::Lister - List available models and applications

VERSION
version 2.159

SYNOPSIS
 perl -MConfig::Model::Lister -e'print Config::Model::Lister::models;'

 perl -MConfig::Model::Lister -e'print Config::Model::Lister::applications;'

DESCRIPTION
Small modules to list available models or applications whose config can be edited by cme. This module is designed to be used by bash completion.

All functions accept an optional boolean parameter. When true, only the local "lib" dir is scanned.

FUNCTIONS

available_models
Returns an array of 3 hash refs:

•   category (system or user or application) => application list. E.g.

     { system => [ 'popcon' , 'fstab'] }

•   application name to model information. E.g.

     { 'popcon' => { model => 'Popcon', require_config_file => 1 }

•   application name to model name. E.g.

     { popcon => 'Popcon' }

models
Returns a string with the list of models.

applications
Returns a string with the list of editable applications.

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2005-2022 by Dominique Dumont.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999